<?php

// $Id$

/*
 * @author Adam Westerski 
 * @file ideastream_idea.ccknodedef
 * ideastream Module
 */
 
/*
 * New content types definitions (exported with CCK)
 */
function _ideastream_content_types_cck_export() {

	$data = array(
	  'bundles' => array(
	    'contest' => (object) array(
	      'type' => 'contest',
	      'name' => 'Idea Contest',
	      'base' => 'node_content',
	      'module' => 'node',
	      'description' => 'Idea contests aggregate ideas under a single topic and relate it to an event in time. Idea contests are used to attract attention of users to submit particular ideas related to the desired product/service/process.',
	      'help' => '',
	      'has_title' => '1',
	      'title_label' => 'Title',
	      'custom' => '1',
	      'modified' => '1',
	      'locked' => '0',
	      'disabled' => '0',
	      'orig_type' => 'contest',
	      'disabled_changed' => FALSE,
	      'bc_entity_type' => 'node',
	    ),
	    'idea' => (object) array(
	      'type' => 'idea',
	      'name' => 'Idea',
	      'base' => 'node_content',
	      'module' => 'node',
	      'description' => 'An idea is a textual description of new innovative proposals towards products, services or processes. Ideas are proposals to introduce a change into the current state above what is available.',
	      'help' => '',
	      'has_title' => '1',
	      'title_label' => 'Title',
	      'custom' => '1',
	      'modified' => '1',
	      'locked' => '0',
	      'disabled' => '0',
	      'orig_type' => 'idea',
	      'disabled_changed' => FALSE,
	      'bc_entity_type' => 'node',
	    ),
	    'review' => (object) array(
	      'type' => 'review',
	      'name' => 'Idea Review',
	      'base' => 'node_content',
	      'module' => 'node',
	      'description' => 'Idea review is a textual themed reviewed delivered by selected people from the Idea Management System moderators/staff. Usually the reviews are invisible for users and their goal is to internally assess the value of idea.',
	      'help' => '',
	      'has_title' => '1',
	      'title_label' => 'Title',
	      'custom' => '1',
	      'modified' => '1',
	      'locked' => '0',
	      'disabled' => '0',
	      'orig_type' => 'review',
	      'disabled_changed' => FALSE,
	      'bc_entity_type' => 'node',
	    ),
	  ),
	  'fields' => array(
	    'body' => array(
	      'entity_types' => array(
	        0 => 'node',
	      ),
	      'translatable' => '0',
	      'settings' => array(),
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_body' => array(
	                'value' => 'body_value',
	                'summary' => 'body_summary',
	                'format' => 'body_format',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_body' => array(
	                'value' => 'body_value',
	                'summary' => 'body_summary',
	                'format' => 'body_format',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(
	        'format' => array(
	          'table' => 'filter_format',
	          'columns' => array(
	            'format' => 'format',
	          ),
	        ),
	      ),
	      'indexes' => array(
	        'format' => array(
	          0 => 'format',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '0',
	      ),
	      'field_name' => 'body',
	      'type' => 'text_with_summary',
	      'module' => 'text',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '1',
	      'deleted' => '0',
	      'columns' => array(
	        'value' => array(
	          'type' => 'text',
	          'size' => 'big',
	          'not null' => FALSE,
	        ),
	        'summary' => array(
	          'type' => 'text',
	          'size' => 'big',
	          'not null' => FALSE,
	        ),
	        'format' => array(
	          'type' => 'varchar',
	          'length' => 255,
	          'not null' => FALSE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'page',
	          1 => 'article',
	          2 => 'idea',
	          3 => 'contest',
	          4 => 'review',
	        ),
	      ),
	    ),
	    'field_categories' => array(
	      'translatable' => '0',
	      'entity_types' => array(),
	      'settings' => array(
	        'allowed_values' => array(
	          0 => array(
	            'vocabulary' => 'categories',
	            'parent' => '0',
	          ),
	        ),
	      ),
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_field_categories' => array(
	                'tid' => 'field_categories_tid',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_field_categories' => array(
	                'tid' => 'field_categories_tid',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(
	        'tid' => array(
	          'table' => 'taxonomy_term_data',
	          'columns' => array(
	            'tid' => 'tid',
	          ),
	        ),
	      ),
	      'indexes' => array(
	        'tid' => array(
	          0 => 'tid',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '0',
	      ),
	      'field_name' => 'field_categories',
	      'type' => 'taxonomy_term_reference',
	      'module' => 'taxonomy',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '1',
	      'deleted' => '0',
	      'columns' => array(
	        'tid' => array(
	          'type' => 'int',
	          'unsigned' => TRUE,
	          'not null' => FALSE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'idea',
	        ),
	      ),
	    ),
	    'field_complexity' => array(
	      'translatable' => '0',
	      'entity_types' => array(),
	      'settings' => array(
	        'allowed_values' => array(
	          0 => array(
	            'vocabulary' => 'complexity',
	            'parent' => '0',
	          ),
	        ),
	      ),
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_field_complexity' => array(
	                'tid' => 'field_complexity_tid',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_field_complexity' => array(
	                'tid' => 'field_complexity_tid',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(
	        'tid' => array(
	          'table' => 'taxonomy_term_data',
	          'columns' => array(
	            'tid' => 'tid',
	          ),
	        ),
	      ),
	      'indexes' => array(
	        'tid' => array(
	          0 => 'tid',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '0',
	      ),
	      'field_name' => 'field_complexity',
	      'type' => 'taxonomy_term_reference',
	      'module' => 'taxonomy',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '1',
	      'deleted' => '0',
	      'columns' => array(
	        'tid' => array(
	          'type' => 'int',
	          'unsigned' => TRUE,
	          'not null' => FALSE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'idea',
	        ),
	      ),
	    ),
	    'field_has_ideas' => array(
	      'translatable' => '0',
	      'entity_types' => array(),
	      'settings' => array(
	        'target_type' => 'node',
	        'handler' => 'base',
	        'handler_settings' => array(
	          'target_bundles' => array(
	            'idea' => 'idea',
	          ),
	          'sort' => array(
	            'type' => 'none',
	          ),
	          'behaviors' => array(
	            'views-select-list' => array(
	              'status' => 0,
	            ),
	          ),
	        ),
	      ),
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_field_has_ideas' => array(
	                'target_id' => 'field_has_ideas_target_id',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_field_has_ideas' => array(
	                'target_id' => 'field_has_ideas_target_id',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(
	        'node' => array(
	          'table' => 'node',
	          'columns' => array(
	            'target_id' => 'nid',
	          ),
	        ),
	      ),
	      'indexes' => array(
	        'target_id' => array(
	          0 => 'target_id',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '0',
	      ),
	      'field_name' => 'field_has_ideas',
	      'type' => 'entityreference',
	      'module' => 'entityreference',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '-1',
	      'deleted' => '0',
	      'columns' => array(
	        'target_id' => array(
	          'description' => 'The id of the target entity.',
	          'type' => 'int',
	          'unsigned' => TRUE,
	          'not null' => TRUE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'contest',
	        ),
	      ),
	    ),
	    'field_idea_contest' => array(
	      'translatable' => '0',
	      'entity_types' => array(),
	      'settings' => array(
	        'target_type' => 'node',
	        'handler' => 'base',
	        'handler_settings' => array(
	          'target_bundles' => array(
	            'contest' => 'contest',
	          ),
	          'sort' => array(
	            'type' => 'none',
	          ),
	          'behaviors' => array(
	            'views-select-list' => array(
	              'status' => 0,
	            ),
	          ),
	        ),
	      ),
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_field_idea_contest' => array(
	                'target_id' => 'field_idea_contest_target_id',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_field_idea_contest' => array(
	                'target_id' => 'field_idea_contest_target_id',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(
	        'node' => array(
	          'table' => 'node',
	          'columns' => array(
	            'target_id' => 'nid',
	          ),
	        ),
	      ),
	      'indexes' => array(
	        'target_id' => array(
	          0 => 'target_id',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '0',
	      ),
	      'field_name' => 'field_idea_contest',
	      'type' => 'entityreference',
	      'module' => 'entityreference',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '1',
	      'deleted' => '0',
	      'columns' => array(
	        'target_id' => array(
	          'description' => 'The id of the target entity.',
	          'type' => 'int',
	          'unsigned' => TRUE,
	          'not null' => TRUE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'idea',
	        ),
	      ),
	    ),
	    'field_idea_review' => array(
	      'translatable' => '0',
	      'entity_types' => array(),
	      'settings' => array(
	        'target_type' => 'node',
	        'handler' => 'base',
	        'handler_settings' => array(
	          'target_bundles' => array(
	            'review' => 'review',
	          ),
	          'sort' => array(
	            'type' => 'none',
	          ),
	          'behaviors' => array(
	            'views-select-list' => array(
	              'status' => 0,
	            ),
	          ),
	        ),
	      ),
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_field_idea_review' => array(
	                'target_id' => 'field_idea_review_target_id',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_field_idea_review' => array(
	                'target_id' => 'field_idea_review_target_id',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(
	        'node' => array(
	          'table' => 'node',
	          'columns' => array(
	            'target_id' => 'nid',
	          ),
	        ),
	      ),
	      'indexes' => array(
	        'target_id' => array(
	          0 => 'target_id',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '2',
	      ),
	      'field_name' => 'field_idea_review',
	      'type' => 'entityreference',
	      'module' => 'entityreference',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '-1',
	      'deleted' => '0',
	      'columns' => array(
	        'target_id' => array(
	          'description' => 'The id of the target entity.',
	          'type' => 'int',
	          'unsigned' => TRUE,
	          'not null' => TRUE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'idea',
	        ),
	      ),
	    ),
	    'field_review_rating' => array(
	      'translatable' => '0',
	      'entity_types' => array(),
	      'settings' => array(
	        'allowed_values' => array(
	          1 => '1',
	          2 => '2',
	          3 => '3',
	          4 => '4',
	          5 => '5',
	          6 => '6',
	          7 => '7',
	          8 => '8',
	          9 => '9',
	          10 => '10',
	        ),
	        'allowed_values_function' => '',
	      ),
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_field_review_rating' => array(
	                'value' => 'field_review_rating_value',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_field_review_rating' => array(
	                'value' => 'field_review_rating_value',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(),
	      'indexes' => array(
	        'value' => array(
	          0 => 'value',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '0',
	      ),
	      'field_name' => 'field_review_rating',
	      'type' => 'list_integer',
	      'module' => 'list',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '1',
	      'deleted' => '0',
	      'columns' => array(
	        'value' => array(
	          'type' => 'int',
	          'not null' => FALSE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'review',
	        ),
	      ),
	    ),
	    'field_review_type' => array(
	      'translatable' => '0',
	      'entity_types' => array(),
	      'settings' => array(
	        'allowed_values' => array(
	          0 => array(
	            'vocabulary' => 'review_types',
	            'parent' => '0',
	          ),
	        ),
	      ),
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_field_review_type' => array(
	                'tid' => 'field_review_type_tid',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_field_review_type' => array(
	                'tid' => 'field_review_type_tid',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(
	        'tid' => array(
	          'table' => 'taxonomy_term_data',
	          'columns' => array(
	            'tid' => 'tid',
	          ),
	        ),
	      ),
	      'indexes' => array(
	        'tid' => array(
	          0 => 'tid',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '0',
	      ),
	      'field_name' => 'field_review_type',
	      'type' => 'taxonomy_term_reference',
	      'module' => 'taxonomy',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '1',
	      'deleted' => '0',
	      'columns' => array(
	        'tid' => array(
	          'type' => 'int',
	          'unsigned' => TRUE,
	          'not null' => FALSE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'review',
	        ),
	      ),
	    ),
	    'field_reviewed_idea' => array(
	      'translatable' => '0',
	      'entity_types' => array(),
	      'settings' => array(
	        'target_type' => 'node',
	        'handler' => 'base',
	        'handler_settings' => array(
	          'target_bundles' => array(
	            'idea' => 'idea',
	          ),
	          'sort' => array(
	            'type' => 'none',
	          ),
	          'behaviors' => array(
	            'views-select-list' => array(
	              'status' => 0,
	            ),
	          ),
	        ),
	      ),
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_field_reviewed_idea' => array(
	                'target_id' => 'field_reviewed_idea_target_id',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_field_reviewed_idea' => array(
	                'target_id' => 'field_reviewed_idea_target_id',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(
	        'node' => array(
	          'table' => 'node',
	          'columns' => array(
	            'target_id' => 'nid',
	          ),
	        ),
	      ),
	      'indexes' => array(
	        'target_id' => array(
	          0 => 'target_id',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '0',
	      ),
	      'field_name' => 'field_reviewed_idea',
	      'type' => 'entityreference',
	      'module' => 'entityreference',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '1',
	      'deleted' => '0',
	      'columns' => array(
	        'target_id' => array(
	          'description' => 'The id of the target entity.',
	          'type' => 'int',
	          'unsigned' => TRUE,
	          'not null' => TRUE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'review',
	        ),
	      ),
	    ),
	    'field_tags' => array(
	      'settings' => array(
	        'allowed_values' => array(
	          0 => array(
	            'vocabulary' => 'tags',
	            'parent' => 0,
	          ),
	        ),
	      ),
	      'entity_types' => array(),
	      'translatable' => '0',
	      'storage' => array(
	        'type' => 'field_sql_storage',
	        'settings' => array(),
	        'module' => 'field_sql_storage',
	        'active' => '1',
	        'details' => array(
	          'sql' => array(
	            'FIELD_LOAD_CURRENT' => array(
	              'field_data_field_tags' => array(
	                'tid' => 'field_tags_tid',
	              ),
	            ),
	            'FIELD_LOAD_REVISION' => array(
	              'field_revision_field_tags' => array(
	                'tid' => 'field_tags_tid',
	              ),
	            ),
	          ),
	        ),
	      ),
	      'foreign keys' => array(
	        'tid' => array(
	          'table' => 'taxonomy_term_data',
	          'columns' => array(
	            'tid' => 'tid',
	          ),
	        ),
	      ),
	      'indexes' => array(
	        'tid' => array(
	          0 => 'tid',
	        ),
	      ),
	      'field_permissions' => array(
	        'type' => '0',
	      ),
	      'field_name' => 'field_tags',
	      'type' => 'taxonomy_term_reference',
	      'module' => 'taxonomy',
	      'active' => '1',
	      'locked' => '0',
	      'cardinality' => '-1',
	      'deleted' => '0',
	      'columns' => array(
	        'tid' => array(
	          'type' => 'int',
	          'unsigned' => TRUE,
	          'not null' => FALSE,
	        ),
	      ),
	      'bundles' => array(
	        'node' => array(
	          0 => 'article',
	          1 => 'idea',
	        ),
	      ),
	    ),
	  ),
	  'instances' => array(
	    'body' => array(
	      0 => array(
	        'label' => 'Contest Description',
	        'widget' => array(
	          'weight' => '-4',
	          'type' => 'text_textarea_with_summary',
	          'module' => 'text',
	          'active' => 1,
	          'settings' => array(
	            'rows' => '20',
	            'summary_rows' => 5,
	          ),
	        ),
	        'settings' => array(
	          'text_processing' => '1',
	          'display_summary' => 1,
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'hidden',
	            'type' => 'text_default',
	            'settings' => array(),
	            'module' => 'text',
	            'weight' => 0,
	          ),
	          'teaser' => array(
	            'label' => 'hidden',
	            'type' => 'text_summary_or_trimmed',
	            'settings' => array(
	              'trim_length' => 600,
	            ),
	            'module' => 'text',
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => '',
	        'default_value' => NULL,
	        'field_name' => 'body',
	        'entity_type' => 'node',
	        'bundle' => 'contest',
	        'deleted' => '0',
	      ),
	      1 => array(
	        'label' => 'Idea Description',
	        'widget' => array(
	          'weight' => '2',
	          'type' => 'text_textarea_with_summary',
	          'module' => 'text',
	          'active' => 1,
	          'settings' => array(
	            'rows' => '20',
	            'summary_rows' => 5,
	          ),
	        ),
	        'settings' => array(
	          'text_processing' => '1',
	          'display_summary' => 1,
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'hidden',
	            'type' => 'text_default',
	            'weight' => '4',
	            'settings' => array(),
	            'module' => 'text',
	          ),
	          'teaser' => array(
	            'label' => 'hidden',
	            'type' => 'text_summary_or_trimmed',
	            'settings' => array(
	              'trim_length' => 600,
	            ),
	            'module' => 'text',
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'Describe in few sentences what is your idea.',
	        'default_value' => NULL,
	        'field_name' => 'body',
	        'entity_type' => 'node',
	        'bundle' => 'idea',
	        'deleted' => '0',
	      ),
	      2 => array(
	        'label' => 'Review Content',
	        'widget' => array(
	          'weight' => '4',
	          'type' => 'text_textarea_with_summary',
	          'module' => 'text',
	          'active' => 1,
	          'settings' => array(
	            'rows' => '20',
	            'summary_rows' => 5,
	          ),
	        ),
	        'settings' => array(
	          'text_processing' => '1',
	          'display_summary' => 1,
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'hidden',
	            'type' => 'text_default',
	            'settings' => array(),
	            'module' => 'text',
	            'weight' => 0,
	          ),
	          'teaser' => array(
	            'label' => 'hidden',
	            'type' => 'text_summary_or_trimmed',
	            'settings' => array(
	              'trim_length' => 600,
	            ),
	            'module' => 'text',
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => '',
	        'default_value' => NULL,
	        'field_name' => 'body',
	        'entity_type' => 'node',
	        'bundle' => 'review',
	        'deleted' => '0',
	      ),
	    ),
	    'field_categories' => array(
	      0 => array(
	        'label' => 'Categories',
	        'widget' => array(
	          'weight' => '1',
	          'type' => 'options_select',
	          'module' => 'options',
	          'active' => 1,
	          'settings' => array(),
	        ),
	        'settings' => array(
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'above',
	            'type' => 'taxonomy_term_reference_link',
	            'weight' => '1',
	            'settings' => array(),
	            'module' => 'taxonomy',
	          ),
	          'teaser' => array(
	            'type' => 'hidden',
	            'label' => 'above',
	            'settings' => array(),
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'Categories for sorting and managing ideas.',
	        'default_value' => NULL,
	        'field_name' => 'field_categories',
	        'entity_type' => 'node',
	        'bundle' => 'idea',
	        'deleted' => '0',
	      ),
	    ),
	    'field_complexity' => array(
	      0 => array(
	        'label' => 'Complexity',
	        'widget' => array(
	          'weight' => '2',
	          'type' => 'options_select',
	          'module' => 'options',
	          'active' => 1,
	          'settings' => array(),
	        ),
	        'settings' => array(
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'above',
	            'type' => 'taxonomy_term_reference_link',
	            'settings' => array(),
	            'module' => 'taxonomy',
	            'weight' => 10,
	          ),
	          'teaser' => array(
	            'type' => 'hidden',
	            'label' => 'above',
	            'settings' => array(),
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'Select idea complexity',
	        'default_value' => NULL,
	        'field_name' => 'field_complexity',
	        'entity_type' => 'node',
	        'bundle' => 'idea',
	        'deleted' => '0',
	      ),
	    ),
	    'field_has_ideas' => array(
	      0 => array(
	        'label' => 'Collected Ideas',
	        'widget' => array(
	          'weight' => '100',
	          'type' => 'entityreference_autocomplete',
	          'module' => 'entityreference',
	          'active' => 1,
	          'settings' => array(
	            'match_operator' => 'CONTAINS',
	            'size' => '60',
	            'path' => '',
	          ),
	        ),
	        'settings' => array(
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'above',
	            'type' => 'entityreference_label',
	            'settings' => array(
	              'link' => FALSE,
	            ),
	            'module' => 'entityreference',
	            'weight' => 1,
	          ),
	          'teaser' => array(
	            'type' => 'hidden',
	            'label' => 'above',
	            'settings' => array(),
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'Points to ideas that are gathered in the contest',
	        'default_value' => NULL,
	        'field_name' => 'field_has_ideas',
	        'entity_type' => 'node',
	        'bundle' => 'contest',
	        'deleted' => '0',
	      ),
	    ),
	    'field_idea_contest' => array(
	      0 => array(
	        'label' => 'Idea Contest',
	        'widget' => array(
	          'weight' => '4',
	          'type' => 'options_buttons',
	          'module' => 'options',
	          'active' => 1,
	          'settings' => array(),
	        ),
	        'settings' => array(
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'above',
	            'type' => 'entityreference_label',
	            'settings' => array(
	              'link' => FALSE,
	            ),
	            'module' => 'entityreference',
	            'weight' => 8,
	          ),
	          'teaser' => array(
	            'type' => 'hidden',
	            'label' => 'above',
	            'settings' => array(),
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'Select Idea Contest related to this Idea.',
	        'default_value' => NULL,
	        'field_name' => 'field_idea_contest',
	        'entity_type' => 'node',
	        'bundle' => 'idea',
	        'deleted' => '0',
	      ),
	    ),
	    'field_idea_review' => array(
	      0 => array(
	        'label' => 'Idea Review',
	        'widget' => array(
	          'weight' => '5',
	          'type' => 'entityreference_autocomplete',
	          'module' => 'entityreference',
	          'active' => 1,
	          'settings' => array(
	            'match_operator' => 'CONTAINS',
	            'size' => '60',
	            'path' => '',
	          ),
	        ),
	        'settings' => array(
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'above',
	            'type' => 'entityreference_label',
	            'weight' => '6',
	            'settings' => array(
	              'link' => FALSE,
	            ),
	            'module' => 'entityreference',
	          ),
	          'teaser' => array(
	            'type' => 'hidden',
	            'label' => 'above',
	            'settings' => array(),
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'Type in names of idea reviews to link with this idea',
	        'default_value' => NULL,
	        'field_name' => 'field_idea_review',
	        'entity_type' => 'node',
	        'bundle' => 'idea',
	        'deleted' => '0',
	      ),
	    ),
	    'field_review_rating' => array(
	      0 => array(
	        'label' => 'Rating',
	        'widget' => array(
	          'weight' => '3',
	          'type' => 'options_select',
	          'module' => 'options',
	          'active' => 1,
	          'settings' => array(),
	        ),
	        'settings' => array(
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'above',
	            'type' => 'list_default',
	            'settings' => array(),
	            'module' => 'list',
	            'weight' => 2,
	          ),
	          'teaser' => array(
	            'type' => 'hidden',
	            'label' => 'above',
	            'settings' => array(),
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'Review the idea on a scale from 1..10',
	        'default_value' => NULL,
	        'field_name' => 'field_review_rating',
	        'entity_type' => 'node',
	        'bundle' => 'review',
	        'deleted' => '0',
	      ),
	    ),
	    'field_review_type' => array(
	      0 => array(
	        'label' => 'Review Type',
	        'widget' => array(
	          'weight' => '1',
	          'type' => 'options_select',
	          'module' => 'options',
	          'active' => 1,
	          'settings' => array(),
	        ),
	        'settings' => array(
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'above',
	            'type' => 'taxonomy_term_reference_link',
	            'settings' => array(),
	            'module' => 'taxonomy',
	            'weight' => 3,
	          ),
	          'teaser' => array(
	            'type' => 'hidden',
	            'label' => 'above',
	            'settings' => array(),
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'Choose Type of Review',
	        'default_value' => NULL,
	        'field_name' => 'field_review_type',
	        'entity_type' => 'node',
	        'bundle' => 'review',
	        'deleted' => '0',
	      ),
	    ),
	    'field_reviewed_idea' => array(
	      0 => array(
	        'label' => 'Reviewed Idea',
	        'widget' => array(
	          'weight' => '2',
	          'type' => 'options_select',
	          'module' => 'options',
	          'active' => 1,
	          'settings' => array(),
	        ),
	        'settings' => array(
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'above',
	            'type' => 'entityreference_label',
	            'settings' => array(
	              'link' => FALSE,
	            ),
	            'module' => 'entityreference',
	            'weight' => 1,
	          ),
	          'teaser' => array(
	            'type' => 'hidden',
	            'label' => 'above',
	            'settings' => array(),
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'Select the reviewed idea',
	        'default_value' => NULL,
	        'field_name' => 'field_reviewed_idea',
	        'entity_type' => 'node',
	        'bundle' => 'review',
	        'deleted' => '0',
	      ),
	    ),
	    'field_tags' => array(
	      0 => array(
	        'label' => 'Tags',
	        'widget' => array(
	          'weight' => '3',
	          'type' => 'taxonomy_autocomplete',
	          'module' => 'taxonomy',
	          'active' => 0,
	          'settings' => array(
	            'size' => 60,
	            'autocomplete_path' => 'taxonomy/autocomplete',
	          ),
	        ),
	        'settings' => array(
	          'user_register_form' => FALSE,
	        ),
	        'display' => array(
	          'default' => array(
	            'label' => 'above',
	            'type' => 'taxonomy_term_reference_link',
	            'weight' => '7',
	            'settings' => array(),
	            'module' => 'taxonomy',
	          ),
	          'teaser' => array(
	            'type' => 'hidden',
	            'label' => 'above',
	            'settings' => array(),
	            'weight' => 0,
	          ),
	        ),
	        'required' => 0,
	        'description' => 'User tags for sorting and managing ideas.',
	        'default_value' => NULL,
	        'field_name' => 'field_tags',
	        'entity_type' => 'node',
	        'bundle' => 'idea',
	        'deleted' => '0',
	      ),
	    ),
	  ),
	  'fieldgroups' => array(
	    'group_vocabularies|node|idea|form' => (object) array(
	      'id' => '2',
	      'identifier' => 'group_vocabularies|node|idea|form',
	      'group_name' => 'group_vocabularies',
	      'entity_type' => 'node',
	      'bundle' => 'idea',
	      'mode' => 'form',
	      'parent_name' => '',
	      'table' => 'field_group',
	      'type' => 'Normal',
	      'export_type' => 1,
	      'disabled' => FALSE,
	      'label' => 'Vocabularies',
	      'weight' => '1',
	      'children' => array(
	        0 => 'field_categories',
	        1 => 'field_tags',
	        2 => 'field_complexity',
	      ),
	      'format_type' => 'fieldset',
	      'format_settings' => array(
	        'formatter' => 'collapsible',
	        'instance_settings' => array(
	          'description' => '',
	          'classes' => 'group-vocabularies field-group-fieldset',
	          'required_fields' => 1,
	        ),
	      ),
	    ),
	  ),
	);

  return $data;
}

