<?php

//Form with the elements for the module config.
function ideastream_settings_form($form_state){
	//Getting all stored values for setting defaults.
	
	//get vocabularies for idea content type
	
	$vocabs = taxonomy_get_vocabularies('idea');
	
	$default_custom_vocab_vid = -1; //non
	
	$vocab_names = array();
	$vocab_names[-1] = "<none>";
	foreach ($vocabs as $vocab)
		$vocab_names[$vocab->vid] = $vocab->name;
	
	//get IdeaStream custom vocabulary filter setting
	$custom_vocab_vid = variable_get('ideastream_custom_vocab_vid', $default_custom_vocab_vid);		
	
    $form['ideastream_settings']['vocab_vid'] = array(
    '#type' => 'select',
    '#title' => t('Custom vocabulary for extended idea filtering'), 
    '#options' => $vocab_names,
    '#default_value' => $custom_vocab_vid,
//    '#prefix' => '<div class="container-inline">',
//    '#size' => 10,
//    '#maxlength' => 50,
      '#description' => t('Select a custom taxonomy that will be displayed in the filter bar next to workflow state filtering'),
  	);
  		
	$form['ideastream_settings']['save'] = array(
		  '#type' => 'submit',	   
		  '#value' => t('Save Settings'),	  
	);
	
	return $form;
}


function ideastream_settings_form_validate($form, &$form_state) {
 
  // $ndisplayed = $form_state['values']['displayed'];
  // if ($ndisplayed < 1 || $ndisplayed > 20) {
  //   form_set_error('', 'Number of similarities to display must be between 1 and 20.');
  // } 
}

function ideastream_settings_form_submit($form, $form_state) {
	
	if ($form_state["input"]["op"] == "Save Settings") {
			
			$vocab_vid = $form_state["values"]['vocab_vid'];
				
			if (isset($vocab_vid) && $vocab_vid!='' && $vocab_vid!=null)
	 			variable_set('ideastream_custom_vocab_vid', $vocab_vid);
	 		else
	 			drupal_set_message("<b>IdeaStream custom vocabulary</b> cannot be empty",'error');
	} 
}