<?php

/**
 * This function creates the form to update RDF namespaces
 */
function ideastream_elements_contest_list($contest_workflow_status_id = 'all', $page_number = 0) {
	$page_html = "";
	
	//set default values if any of args are empty
	if ($contest_workflow_status_id=='') $contest_workflow_status_id = 'all';
	
	//prepare query
	$query = new EntityFieldQuery();
	$query->entityCondition('entity_type', 'node')
	  ->entityCondition('bundle', 'contest')
	  ->propertyCondition('status', 1)
	  ->propertyOrderBy('created', 'DESC')
	  ->pager(10);
	
	//add workflow filter if needed
	if ($contest_workflow_status_id!='all') 
	  $query->addTag('contest_list_query')
	  ->addMetaData('sid', $contest_workflow_status_id);
	
	//execute query and get entities
	$entities = $query->execute();
	
	//if any results, render entities and theme pager
	if (count($entities) && isset($entities['node'])) {
		$nodes = entity_load('node', array_keys($entities['node']));
		$page_html = node_view_multiple($nodes, 'teaser');
		
		$page_html = array(
		  'content' => $page_html,
		  'pager' => array(
		    '#markup' => theme('pager'),
		    '#weight' => 10
		  )
		);
	}

 return $page_html;
}

?>