<?php

/**
 * This function creates the form to update RDF namespaces
 */
function ideastream_elements_idea_list($idea_workflow_status_id = 'all', $idea_contest_id = 'all', $taxonomy_term_id = 'all', $page_number = 0, $taxonomy_field_name = array() ) {

	//set default values if any of args are empty
	$page_html = "";
	if ($idea_workflow_status_id=='') $idea_workflow_status_id = 'all';
	if ($idea_contest_id=='') $idea_contest_id = 'all';
	if ($taxonomy_term_id=='') $taxonomy_term_id = 'all';

	
	if ($taxonomy_term_id!='Uncategorized')  //
	{
		//prepare query
		$query = new EntityFieldQuery();
		$query->entityCondition('entity_type', 'node')
		  ->entityCondition('bundle', 'idea')
		  ->propertyCondition('status', 1)
	//	  ->fieldCondition('field_idea_status', 'value', 2)
		  ->propertyOrderBy('created', 'DESC')
		  ->pager(10,0);
		  
		//contest filter if needed
		
		if ($idea_contest_id!='all') 
		  $query->fieldCondition('field_idea_contest', 'target_id', $idea_contest_id);
		
		//add workflow filter if needed
		if ($idea_workflow_status_id!='all') 
		  $query->addTag('idea_list_query')
		  ->addMetaData('sid', $idea_workflow_status_id);
		
		//$query->fieldCondition('field_categories', 'tid', 'NULL', 'D='); //currently only support for idea having only one exactly same taxonomy (because Or does 
	
		//add taxonomy filter if needed
		if ($taxonomy_term_id!='all' && count($taxonomy_field_name)>0)  //&& $taxonomy_field_name[0]!='none'
			$query->fieldCondition($taxonomy_field_name[0], 'tid', $taxonomy_term_id); //currently only support for idea having only one exactly same taxonomy (because Or does not exist in EntityFieldQuery)
	
		//execute query and get entities
		$entities = $query->execute();
		
		//if any results, render entities and theme pager
		if (count($entities) && isset($entities['node'])) {
			$nodes = entity_load('node', array_keys($entities['node']));
			$page_html = node_view_multiple($nodes, 'teaser');
			
			$page_html = array(
			  'content' => $page_html,
			  'pager' => array(
			    '#markup' => theme('pager'), //array('element' => '1')
			    '#weight' => 10
			  )
			);
		}
	}
	else //uncategorized ideas (EntityFieldQuery does not support selecting nulls so have to fetch regular way)
	{
		$limit =10;
		if (isset($_REQUEST['page']))
			$start = $_REQUEST['page']* $limit;
		else $start = 0;
		
		//prepare queries depending on arguments 
		if (arg(1)=="all") { //any idea status 		
			$count_query ="SELECT COUNT(node.nid) AS total FROM node LEFT JOIN field_data_field_categories ON field_data_field_categories.entity_id = node.nid WHERE node.type = 'idea' AND node.status = 1 AND field_data_field_categories.field_categories_tid IS NULL ORDER BY node.created DESC"; //count(*) AS total
			$count_result = db_query($count_query);
			
			$items_query = "SELECT node.nid, field_data_field_categories.field_categories_tid FROM node LEFT JOIN field_data_field_categories ON field_data_field_categories.entity_id = node.nid WHERE node.type = 'idea' AND node.status = 1 AND field_data_field_categories.field_categories_tid IS NULL ORDER BY node.created DESC LIMIT $start,10";
		} else //only selected ideas status
		{
			$idea_status_sid = arg(1);
			$count_query ="SELECT COUNT(node.nid) AS total FROM node LEFT JOIN field_data_field_categories ON field_data_field_categories.entity_id = node.nid LEFT JOIN workflow_node ON node.nid =workflow_node.nid WHERE node.type = 'idea' AND node.status = 1 AND field_data_field_categories.field_categories_tid IS NULL AND workflow_node.sid = 125 ORDER BY node.created DESC"; //count(*) AS total
			$count_result = db_query($count_query);
			
			$items_query = "SELECT node.nid, field_data_field_categories.field_categories_tid, workflow_node.sid FROM node LEFT JOIN field_data_field_categories ON field_data_field_categories.entity_id = node.nid LEFT JOIN workflow_node ON node.nid =workflow_node.nid WHERE node.type = 'idea' AND node.status = 1 AND field_data_field_categories.field_categories_tid IS NULL AND workflow_node.sid = $idea_status_sid ORDER BY node.created DESC LIMIT $start,10";
		}
		//fetch idea count and create drupal pager
		$count_query_result = $count_result->fetchObject();	
		pager_default_initialize($count_query_result->total, $limit, $element =0);
		
		//fetch items IDs (and later full content type objects)
		$result = db_query($items_query);
		$items = $result->fetchAll();
		$idea_nids = array();
		foreach($items as $node)
		 {
		 	$idea_nids[] = $node->nid;
		 }
			 
		//if any results, render entities and theme pager
		if (count($idea_nids)>0) {
			$nodes = entity_load('node', $idea_nids);
			$page_html = node_view_multiple($nodes, 'teaser');
			
			$page_html = array(
			  'content' => $page_html,
			  'pager' => array(
			    '#markup' => theme('pager'), //array('element' => '1')
			    '#weight' => 10
			  )
			);
		}
			 
	return $page_html;
	}	
 return $page_html;
}

?>