<?php

// $Id$

/*
 * @author Adam Westerski 
 * @file ideastream_elements.module
 * ideastream_elements Module - reviews related to a particular idea, summary and lists
 */

// ******************************************** Reviews ***********************************************
// ****************************************************************************************************

/* 
 * Display "Reviews" panel in the idea details page
 * The panel shows last posted reviews, summary statistics
 */
function ideastream_elements_related_idea_reviews($form_state, $variables) {
  $page_html = "";
  if (isset($variables['build_info']['args']) && isset($variables['build_info']['args'][0]))
    $idea_nid = $variables['build_info']['args'][0];

  //drupal_set_title(check_plain($account->name));
    /*
  $form['summary'] = array(
    '#type' => 'fieldset',
    '#title' => t('Reviews Summary'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
    '#tree' => FALSE,
  );*/

  $form['list'] = array(
  '#type' => 'fieldset',
  '#title' => t('Review List'),
  '#collapsible' => FALSE,
  '#collapsed' => FALSE,
  '#tree' => FALSE,
  //'#description' => t('A full list of all posted reviews related to the idea.')
  );

    $form['idea']['idea_nid'] = array( 
      '#type' => 'hidden', 
      '#value' => $idea_nid,
    );
      
  return $form;
}


/**
 * Theme the reviews panel
 * Adds data and renders the tables
 */
function theme_ideastream_elements_related_idea_reviews($form) {

  $form = $form['form'];
  $rows_per_page = 15;
  $idea_nid=$form['idea']['idea_nid']['#value'];

  /***************************************************************** REVIEWS SUMMARY ****************************************************************************/

  $reviews_summary_html = ideastream_elements_reviews_summary_panel($idea_nid);

  /****************************************************************** REVIEWS LIST  *****************************************************************************/
  
  // theme list of published ideas
  $header = array(
    array('data' => t('Title'), 'field' => 'title'),
    array('data' => t('Rating'), 'field' => 'REVIEW_RATING'),
    array('data' => t('Date'), 'field' => 'created', 'sort' => 'desc'),
    array('data' => t('Author'), 'field' => 'USER_NAME'),
    array('data' => t('Type'), 'field' => 'REVIEW_TYPE'),
  );
  
  $rows = array();

  //prepare query
  $relationships = db_select('node', 'node');
  $relationships->leftJoin('users', 'users',"node.uid = users.uid");
  $relationships->leftJoin('field_data_field_review_rating', 'field_data_field_review_rating', 'node.nid = field_data_field_review_rating.entity_id');
  $relationships->leftJoin('field_data_field_reviewed_idea', 'field_data_field_reviewed_idea', 'node.nid = field_data_field_reviewed_idea.entity_id');
  $relationships->leftJoin('field_data_field_review_type', 'field_data_field_review_type', 'node.nid = field_data_field_review_type.entity_id');
  $relationships->leftJoin('taxonomy_term_data', 'taxonomy_term_data', "field_data_field_review_type.field_review_type_tid = taxonomy_term_data.tid");
  $relationships->leftJoin('node', 'idea_table',"idea_table.nid = field_data_field_reviewed_idea.field_reviewed_idea_target_id");
  
  $relationships
  ->fields('node', array('nid', 'created', 'title','uid'))
  ->condition('node.type', 'review')
  ->condition('node.status', 1)
  ->condition('field_data_field_reviewed_idea.field_reviewed_idea_target_id', $idea_nid);
  //->condition('node.uid', $user_uid); 

  $relationships -> addField('users','name','USER_NAME');
  $relationships -> addField('users','uid','USER_UID');
  $relationships -> addField('taxonomy_term_data','name','REVIEW_TYPE');
  $relationships -> addField('taxonomy_term_data','tid','REVIEW_TYPE_ID');
  $relationships -> addField('field_data_field_review_rating','field_review_rating_value','REVIEW_RATING');
  //$relationships -> addField('idea_table','title','IDEA_TITLE');
  //$relationships -> addField('idea_table','nid','IDEA_NID');
  
  //add pager and sort queries
  $relationships = $relationships -> extend('PagerDefault');
  $relationships = $relationships -> limit($rows_per_page);
  $relationships = $relationships -> extend('TableSort');
  $relationships = $relationships -> orderByHeader($header);

  //execute query
  $results = $relationships->execute();

  //process results
  while ($item = $results->fetchAssoc()) {
  //while ($item = db_fetch_object($relationships)) {
    $rows[] = array(
      '#custom_review_title' => l($item['title'], 'node/' . $item['nid']),
      '#custom_review_rating' => ($item['REVIEW_RATING'] ? $item['REVIEW_RATING'] : "-"),
      '#custom_review_created' => format_date($item['created'], 'small'),
      '#custom_review_user' => l($item['USER_NAME'], 'user/' . $item['USER_UID']),
      '#custom_review_type' => l($item['REVIEW_TYPE'], 'taxonomy/term/' . $item['REVIEW_TYPE_ID']),
      );
  }
  if (count($rows)>0)
    $form['list']['#value'] = theme('table', array('header' => $header, 'rows' => $rows)) . theme('pager', array('element' => 0));
    //$form['list']['#value'] = theme('table', $header, $rows) . theme('pager',NULL, $rows_per_page, 1);
  else $form['list']['#description'] = t("This idea has no reviews.");

  return $reviews_summary_html.drupal_render_children($form);
}


/**
 * Render the reviews summary panel
 * Adds data and renders html/css
 */
function ideastream_elements_reviews_summary_panel($idea_nid) {
  $page_html = "";

  $page_html .= '
  <table class="review_metrics_panel" border=0>
  <tr>
  <td class="review_metrics_panel_ratings">
  <div id="reviews_list_review_summary">
  <div class="reviews-section-title">'. t('Review Summary (ratings per type):') . '</div>';

  //get stats for all reviews from this idea
  $all_reviews_stats=array(); 
  $result = db_query("SELECT MAX(field_data_field_review_rating.field_review_rating_value) AS MAX, AVG (field_data_field_review_rating.field_review_rating_value) AS AVG, COUNT(field_data_field_review_rating.field_review_rating_value) AS COUNT FROM field_data_field_review_rating JOIN field_data_field_reviewed_idea ON field_data_field_review_rating.entity_id = field_data_field_reviewed_idea.entity_id JOIN node ON field_data_field_review_rating.entity_id=node.nid WHERE field_data_field_review_rating.field_review_rating_value IS NOT NULL AND field_data_field_reviewed_idea.field_reviewed_idea_target_id=".$idea_nid." AND node.status=1 GROUP BY (field_data_field_reviewed_idea.field_reviewed_idea_target_id)");

  if ($data = $result->fetchObject()) {
  //if ($data = db_fetch_object($result)) {
      $all_reviews_stats['MAX']=$data->MAX;
      $all_reviews_stats['AVG']=$data->AVG;
      $all_reviews_stats['COUNT']=$data->COUNT;
  }
    
  //get stats for all reviews from this idea
  $reviews_stats_by_type=array();
  $result = db_query("SELECT AVG(field_data_field_review_rating.field_review_rating_value) AS AVG, MAX(field_data_field_review_rating.field_review_rating_value) AS MAX, COUNT(field_data_field_review_rating.field_review_rating_value) AS COUNT, taxonomy_index.tid AS tid, taxonomy_term_data.name AS name,taxonomy_vocabulary.vid, field_data_field_reviewed_idea.field_reviewed_idea_target_id FROM node JOIN field_data_field_review_rating ON field_data_field_review_rating.entity_id=node.nid JOIN field_data_field_reviewed_idea ON node.nid = field_data_field_reviewed_idea.entity_id JOIN taxonomy_index ON node.nid=taxonomy_index.nid JOIN taxonomy_term_data ON taxonomy_index.tid = taxonomy_term_data.tid JOIN taxonomy_vocabulary ON taxonomy_term_data.vid= taxonomy_vocabulary.vid WHERE field_data_field_review_rating.field_review_rating_value IS NOT NULL AND taxonomy_vocabulary.name='Review Types' AND field_data_field_reviewed_idea.field_reviewed_idea_target_id=".$idea_nid."  AND node.status=1 GROUP BY taxonomy_term_data.name");
  $i=0;
  //while ($data = db_fetch_object($result)) {
  foreach ($result as $data) {
    $reviews_stats_by_type[$i]['name']=$data->name;
    $reviews_stats_by_type[$i]['tid']=$data->tid;
    $reviews_stats_by_type[$i]['avg']=$data->AVG;
    $reviews_stats_by_type[$i]['max']=$data->MAX;
    $reviews_stats_by_type[$i]['count']=$data->COUNT;
    $i++;
  }

  $page_html .= "<div class='review_stats'><div class='review_stats_name_all'>".t('All Reviews')."<div class='reviews_count'> (".$all_reviews_stats['COUNT']. ")</div></div> - <div class='metric_name'>avg: </div><div class='metric_value'>".(double)$all_reviews_stats['AVG']."</div> <div class='metric_name'>max: </div><div class='metric_value'>".$all_reviews_stats['MAX']. "</div></div>"; 

  foreach ($reviews_stats_by_type as $review_type_stats)
  {
   $page_html .= "<div class='review_stats'><div class='review_stats_name'><a href='".url("taxonomy/term/".$review_type_stats['tid'])."'>".$review_type_stats['name']."</a></div><div class='reviews_count'> (".$review_type_stats['count'].")</div> - <div class='metric_name'>avg: </div><div class='metric_value'>".(double)$review_type_stats['avg']."</div> <div class='metric_name'>max: </div><div class='metric_value'>".$review_type_stats['max']."</div></div>"; 
  }
 
  $page_html .= '
  </div>
  </td>
  <td class="review_metrics_panel_users">
  <div id="reviews_list_user_metrics">
  <div class="reviews-section-title">'. t('User Metrics:') .'</div>';

  $comment_stats=array(); 
  //sum of votes and total votes
  $result = db_query("SELECT SUM(votingapi_vote.value) AS vote_sum, COUNT(votingapi_vote.value) AS total_votes from votingapi_vote JOIN node ON votingapi_vote.entity_id=node.nid where votingapi_vote.entity_type = 'node' AND votingapi_vote.entity_id=".$idea_nid." AND node.type='idea' GROUP BY (votingapi_vote.entity_id)");

  //if ($data = db_fetch_object($result)) {
  if ($data = $result->fetchObject()) {
      $comment_stats['vote_sum']=$data->vote_sum;
      $comment_stats['total_votes']=$data->total_votes;
  } else 
  {
  $comment_stats['vote_sum']=0;
  $comment_stats['total_votes']=0;
  }

  //votes up
  $result = db_query("SELECT COUNT(votingapi_vote.value) AS votes_up from votingapi_vote JOIN node ON votingapi_vote.entity_id=node.nid where votingapi_vote.entity_type = 'node' AND votingapi_vote.entity_id=".$idea_nid." AND node.type='idea' AND votingapi_vote.value>0 GROUP BY (votingapi_vote.entity_id)");

  //if ($data = db_fetch_object($result)) {
  if ($data = $result->fetchObject()) {
      $comment_stats['votes_up']=$data->votes_up;
  } else $comment_stats['votes_up']=0;
  //votes down
  $result = db_query("SELECT COUNT(votingapi_vote.value) AS votes_down from votingapi_vote JOIN node ON votingapi_vote.entity_id=node.nid where votingapi_vote.entity_type = 'node' AND votingapi_vote.entity_id=".$idea_nid." AND node.type='idea' AND votingapi_vote.value<0 GROUP BY (votingapi_vote.entity_id)");

  //if ($data = db_fetch_object($result)) {
  if ($data = $result->fetchObject()) {
      $comment_stats['votes_down']=$data->votes_down;
  } else $comment_stats['votes_down']=0;
  //comment count & author count
  $result = db_query("SELECT COUNT(comment.cid) AS comment_count, COUNT(DISTINCT(comment.name)) AS author_count FROM comment JOIN node ON comment.nid=node.nid WHERE node.type='idea' AND node.nid=".$idea_nid." AND comment.status=1 GROUP BY(comment.nid)");

  //if ($data = db_fetch_object($result)) {
  if ($data = $result->fetchObject()) {
      $comment_stats['comment_count']=$data->comment_count;
      $comment_stats['author_count']=$data->author_count;
  } else 
  { 
      $comment_stats['comment_count']=0;
      $comment_stats['author_count']=0;
  }

  $page_html .= "<div class='review_stats'><div class='review_stats_name'>".t('Votes')."<div class='reviews_count'> (".$comment_stats['total_votes']. ")</div></div> - <div class='metric_name'>sum: </div><div class='metric_value'>".$comment_stats['vote_sum']."</div> <div class='metric_name'>up: </div><div class='metric_value'>".$comment_stats['votes_up']. "</div> <div class='metric_name'>down: </div><div class='metric_value'>".$comment_stats['votes_down']. "</div></div>"; 

  $page_html .= "<div class='review_stats'><div class='review_stats_name'>".t('Comments')."<div class='reviews_count'> (".$comment_stats['comment_count']. ")</div></div> - <div class='metric_name'>distinct authors: </div><div class='metric_value'>".$comment_stats['author_count']."</div></div>"; 

  $page_html .= '
  </div>
  </td>
  </table>';

  return $page_html;
}

?>