<?php

/**
 * This function creates the form to update RDF namespaces
 */
function ideastream_elements_review_list($review_type_taxonomy_id = 'all', $related_idea_id = 'all', $page_number = 0, $taxonomy_term_id = 'all', $taxonomy_field_name = array() ) {
	$page_html = "";
	
	//set default values if any of args are empty
	if ($review_type_taxonomy_id=='') $review_type_taxonomy_id = 'all';
	if ($related_idea_id=='') $related_idea_id = 'all';
	
	//prepare query
	$query = new EntityFieldQuery();
	$query->entityCondition('entity_type', 'node')
	  ->entityCondition('bundle', 'review')
//	  ->fieldCondition('field_review_type', 'tid', 9)
	  ->propertyCondition('status', 1)
	  ->propertyOrderBy('created', 'DESC')
	  ->pager(10);
	
	//add workflow filter if needed
	
	if ($review_type_taxonomy_id!='all') 
	  $query->fieldCondition('field_review_type', 'tid', $review_type_taxonomy_id);
	  
	if ($related_idea_id!='all') 
	  $query->fieldCondition('field_reviewed_idea', 'target_id', $related_idea_id);

	//add taxonomy filter if needed
	if ($taxonomy_term_id!='all' && count($taxonomy_field_name)>0)  //&& $taxonomy_field_name[0]!='none'
		$query->fieldCondition($taxonomy_field_name[0], 'tid', $taxonomy_term_id); //currently only support for idea having only one exactly same taxonomy (because Or does not 
	
	//execute query and get entities
	$entities = $query->execute();
	
	//if any results, render entities and theme pager
	if (count($entities) && isset($entities['node'])) {
		$nodes = entity_load('node', array_keys($entities['node']));
		$page_html = node_view_multiple($nodes, 'teaser');
		
		$page_html = array(
		  'content' => $page_html,
		  'pager' => array(
		    '#markup' => theme('pager'),
		    '#weight' => 10
		  )
		);
	}

 return $page_html;
}

?>